• 欢迎访问圣洁的白莲!
  • 厚德载物,自强不息!
折腾

搭建hugo博客

搭建hugo博客
闲来无事,折腾一下hugo静态博客。 一、安装hugo环境 hugo官网 1.下载hugo程序 hugo工具下载地址 选择windows 64位下载 解押安装包后,双击hugo.exe安装 2.配置环境变量 2.1:鼠标右键->属性 2.2:点击高级系统设置 2.3:点击环境变量 2.4:选中path,点击编辑 2.5:点击新建 2.6:Hug……继续阅读 »

菜根譚 2周前 (10-12) 12浏览 0评论 0个赞

Golang

配置gin框架实现跨域请求

配置gin框架实现跨域请求
一、使用cors解决跨域问题 CORS(Cross-origin resource sharing,跨域资源共享)是一个 W3C 标准,定义了在必须访问跨域资源时,浏览器与服务器应该如何沟通。CORS 背后的基本思想,就是使用自定义的 HTTP 头部让浏览器与服务器进行沟通,从而决定请求或响应是应该成功,还是应该失败。CORS 需要浏览器和服务器同时支……继续阅读 »

菜根譚 1个月前 (09-21) 1浏览 0评论 0个赞

docker

Rancher高可用部署

Rancher高可用部署
[toc] 一、环境准备 机器准备 ​ 2.80 四层代理服务器 节点上需要安装rke kubectl helm nginx ​ 80节点需要和其它三个节点建立ssh互信实现免密登录 rke是通过ssh登录来远程操作其它节点的 ​ 80主机名设置为cf.ran……继续阅读 »

菜根譚 2个月前 (09-07) 3浏览 0评论 0个赞

Django

解决django2.2与mysql兼容性问题

解决django2.2与mysql兼容性问题
一、背景 2.2是django最新一个稳定的LTS版本,但是大部分人在升级过程中都遇到了兼容性问题,也就是下面这个异常: ImproperlyConfigured: mysqlclient 1.3.13 or newer is required 博主在之前遇到这个问题时,毫不犹豫地相信网上地解决方法–改源码,在后面使用中多次遇到这个问题,每次都……继续阅读 »

菜根譚 7个月前 (04-08) 52浏览 0评论 0个赞

Python

记一次部署virtuanenvwrapper环境错误,提示virtualenv: error: unrecognized arguments: –no-site-packages

记一次部署virtuanenvwrapper环境错误,提示virtualenv: error: unrecognized arguments: –no-site-packages
一、问题 编译安装了python3.8 在安装virtualenvwrapper后,配置好环境变量后,使用mkvirtualenv ss创建虚拟环境,提示一下错误: 二、解决方法 在多次查找资料后终于找到了答案,可能是因为我安装的python版本和virtualenv版本比较新,export VIRTUALENVWRAPPER_VIRTUALENV_ARG……继续阅读 »

菜根譚 7个月前 (04-07) 73浏览 0评论 0个赞

pycharm软件分享
pycharm软件分享
nginx的内置变量
nginx的内置变量
未分类

Vue Nginx反向代理配置 解决生产环境跨域

Vue Nginx反向代理配置 解决生产环境跨域
Vue Nginx反向代理配置 解决生产环境跨域 Vue 本地代理编辑好后,能实现跨域获取接口数据,但是打包后在生产环境接口报错404,要怎样才能解决生产环境跨域问题呢? 在开发环境配置好本地代理后,使用Nginx反向代理解决生产环境跨域问题! location =/api { rewrite ^.+/api/?(.*)$ /$1 break; ……继续阅读 »

菜根譚 7个月前 (03-19) 88浏览 0评论 0个赞

nginx的管理和升级
nginx的管理和升级
函数的命名空间和作用域
函数的命名空间和作用域
阿里云漏洞修复- 不需要重启的
阿里云漏洞修复- 不需要重启的
Linux

centos7安装jumpserver

centos7安装jumpserver
一、初始化操作 1.关闭防火墙 由于我是在本地测试,所以将防火墙关闭。 systemctl stop firewalld systemctl disable firewalld 2.修改系统字符集 export LC_ALL=zh_CN.UTF-8 export AUTOENV_ASSUME_YES=1 localedef -c -f UT……继续阅读 »

菜根譚 10个月前 (12-16) 191浏览 0评论 0个赞

docker save-export和load-import的区别
docker save-export和load-import的区别
Linux

centos7安装docker

centos7安装docker
一、说明 Docker 要求 CentOS 系统的内核版本高于 3.10 ,查看本页面的前提条件来验证你的CentOS 版本是否支持 Docker 。 二、初始操作 1.查看内核版本: 2.移除旧的版本: yum remove docker \       &nb……继续阅读 »

菜根譚 11个月前 (12-11) 129浏览 0评论 0个赞